﻿
@{
    ViewData["Title"] = "Penerimaan Peserta Didik Baru";
}

<!--page title start-->

<section class="page-title o-hidden pos-r md-text-center" data-bg-color="#fbf3ed">
    <canvas id="confetti"></canvas>
    <div class="container">
        <div class="row align-items-center">
            <div class="col-lg-7 col-md-12">
                <h1 class="title"><span>P</span>PDB ONLINE</h1>
                <p>Penerimaan Peserta Didik Baru</p>
            </div>
            <div class="col-lg-5 col-md-12 text-lg-right md-mt-3">
                <nav aria-label="breadcrumb" class="page-breadcrumb">
                    <ol class="breadcrumb">
                        <li class="breadcrumb-item">
                            <a href="#">PPDB</a>
                        </li>
                        <li class="breadcrumb-item active" aria-current="page">Pendaftaran Online</li>
                    </ol>
                </nav>
            </div>
        </div>
    </div>
    <div class="page-title-pattern"><img onerror="this.onerror=null; this.src='/assets/img/dummy/no-image.png'" class="img-fluid" src="~/assets/modules/images/bg/11.png" alt=""></div>
</section>

<!--page title end-->
<!--body content start-->

<div class="page-content">

    <!--terms start-->

    <section>
        <div class="container">
            <div class="row text-center">
                 <div class="col-md-12 ml-auto mb-5">
                    <video class="img-fluid" style="border-radius: 20px;" autoplay loop controls>
                    <source src="/Asset/Files/Appl/File/video_ppdb.mp4" type="video/mp4">
                    </video>
                </div>
                <div class="col-lg-8 col-md-12 ml-auto mr-auto">
                    <div class="section-title">
                        <div class="title-effect">
                            <div class="bar bar-top"></div>
                            <div class="bar bar-right"></div>
                            <div class="bar bar-bottom"></div>
                            <div class="bar bar-left"></div>
                        </div>
                        <h6>Pendaftaran Online</h6>
                        <h2 class="title">Penerimaan Peserta Didik Baru</h2>
                    </div>
                </div>
            </div>
            <div class="container-fluid">
               
                <input id="NoPanitiaPpdb" value="@ViewBag.webnopanitiappdb" hidden />
                <form id="FormRegister" class="needs-validation" novalidate>
                    <input id="IdSiswa" name="IdSiswa" hidden />
                    <div class="row" id="secRegister">
                        <div class="col-md-8 offset-md-2" style="">
                            <div style="">
                                <div class="form-group row">
                                    <label class="col-sm-4 col-form-label">Jenis Kategori</label>
                                    <div class="col-sm-8">
                                        <select class="form-control" name="IdJenisKategoriPendaftaran" id="IdJenisKategoriPendaftaran" data-input="wajib" label="Jenis Kategori" required>
                                            <option value="">Select One</option>
                                        </select>
                                        <div class="invalid-feedback">
                                            Kolom Wajib diisi.
                                        </div>
                                    </div>
                                </div>
                                <div class="form-group row" id="divIdUnit" style="display:none;">
                                    <label class="col-sm-4 col-form-label">Jenjang Pendidikan</label>
                                    <div class="col-sm-8">
                                        <select class="form-control" id="IdUnit" name="IdUnit" data-input="wajib" label="Jenjang Pendidikan" required>
                                            <option value="">Select One</option>
                                        </select>
                                        <div class="invalid-feedback">
                                            Kolom Wajib diisi.
                                        </div>
                                    </div>
                                </div>
                                <div class="form-group row" id="divIdKelas" style="display:none;">
                                    <label class="col-sm-4 col-form-label">Kelas</label>
                                    <div class="col-sm-8">
                                        <select class="form-control" id="IdPpdbKelas" name="IdPpdbKelas" data-input="wajib" label="Kelas" required>
                                            <option value="">Select One</option>
                                        </select>
                                        <div class="invalid-feedback">
                                            Kolom Wajib diisi.
                                        </div>
                                    </div>
                                </div>
                                @* <div class="form-group row" id="divIdPeminatan" style="display:none;">
                                    <label class="col-sm-4 col-form-label">Peminatan</label>
                                    <div class="col-sm-8">
                                        <select class="form-control" id="Peminatan" name="Peminatan" data-input="wajib" label="Kelas" required>
                                            <option value="">Select One</option>
                                            <option value="IPA">IPA</option>
                                            <option value="IPS">IPS</option>
                                        </select>
                                        <div class="invalid-feedback">
                                            Kolom Wajib diisi.
                                        </div>
                                    </div>
                                </div> *@
                                <div class="form-group row" id="divIdJenisPendaftaran" style="display:none;">
                                    <label class="col-sm-4 col-form-label">Jenis Daftar</label>
                                    <div class="col-sm-8">
                                        <select class="form-control" name="IdJenisPendaftaran" data-input="wajib" label="Jenis Daftar" required>
                                        </select>
                                        <small id="htmlInfoSK" style="display:none"> <a href="javascript:void(0);" onclick="ModalSaudaraKandungInfo()" style="cursor:pointer;">Lihat Saudara Saya</a></small>
                                        <div class="invalid-feedback">
                                            Kolom Wajib diisi.
                                        </div>
                                    </div>
                                </div>
                                <div class="form-group row" id="divIdJalurPendaftaran" style="display:none;">
                                    <label class="col-sm-4 col-form-label">Jalur Daftar</label>
                                    <div class="col-sm-8">
                                        <select class="form-control" id="IdJalurPendaftaran" name="IdJalurPendaftaran" data-input="wajib" label="Jalur Daftar" required>
                                        </select>
                                        @* <small id="infoPrestasi" style="display:none;"><a href="javascript:void(0);" onclick="ModalPrestasis(true);" style="cursor:pointer;">Lihat Prestasi Saya</a> </small> *@
                                        <div class="invalid-feedback">
                                            Kolom Wajib diisi.
                                        </div>
                                    </div>
                                </div>
                                <div id="divNisn"></div>
                                <div class="form-group row">
                                    <label class="col-sm-4 col-form-label">NIK Orang Tua</label>
                                    <div class="col-sm-8">
                                        <input id="NikOrtu" type="number" name="NikOrtu" class="form-control" onkeyup="CekNik(this)" placeholder="Ketik NIK Orang Tua..." data-input="wajib" label="NIK Ortu" required>
                                        <small class="text-success" id="InfoNikSukses" style="display:none;">Berhasil NIK Ditemukan ! <a href="javascript:void(0);" onclick="DetailNikOrtu()"><i>(detail)</i></a></small>
                                        <small class="text-danger" id="InfoNikSalah">
                                            *Pastikan NIK Orang Tua sesuai dengan KK <br />
                                            *NIK Orang Tua bisa ayah / ibu <br />
                                        </small>
                                        <div class="invalid-feedback">
                                            Kolom Wajib diisi.
                                        </div>
                                    </div>
                                </div>
                                <div class="form-group row">
                                    <label class="col-sm-4 col-form-label">Nama Calon Peserta Didik</label>
                                    <div class="col-sm-8">
                                        <input id="Nama" type="text" name="Nama" class="form-control" placeholder="Ketik Nama Calon Peserta Didik..." data-input="wajib" label="Nama Siswa" required>
                                        <div class="invalid-feedback">
                                            Kolom Wajib diisi.
                                        </div>
                                    </div>
                                </div>
                                <div class="form-group row">
                                    <label class="col-sm-4 col-form-label">Jenis Kelamin</label>
                                    <div class="col-sm-8">
                                        <select class="form-control" name="KdJenisKelamin" id="KdJenisKelamin" data-input="wajib" label="Jenis Kelamin" required>
                                            <option value="">Select One</option>
                                            <option value="L">Laki - Laki</option>
                                            <option value="P">Perempuan</option>
                                        </select>
                                        <div class="invalid-feedback">
                                            Kolom Wajib diisi.
                                        </div>
                                    </div>
                                </div>
                                <div class="form-group row">
                                    <label class="col-sm-4 col-form-label">Tempat Lahir</label>
                                    <div class="col-sm-8">
                                        <input id="TempatLahir" type="text" name="TempatLahir" class="form-control" placeholder="Ketik Tempat Lahir..." data-input="wajib" label="Tempat Lahir" required>
                                        <div class="invalid-feedback">
                                            Kolom Wajib diisi.
                                        </div>
                                    </div>
                                </div>
                                <div class="form-group row">
                                    <label class="col-sm-4 col-form-label">Tanggal Lahir</label>
                                    <div class="col-sm-8">
                                        <input id="TanggalLahir" type="text" name="TanggalLahir" class="form-control" data-toggle="datepicker" placeholder="dd-mm-yyyy" data-input="wajib" label="Tanggal Lahir" required>
                                        <div class="invalid-feedback">
                                            Kolom Wajib diisi.
                                        </div>
                                    </div>
                                </div>
                                <div class="form-group row">
                                    <label class="col-sm-4 col-form-label">E-Mail</label>
                                    <div class="col-sm-8">
                                        <input id="Email" type="email" name="Email" class="form-control" placeholder="Ketik Alamat E-Mail..." data-input="wajib" label="Email" required>
                                        <small>Pastikan email yang anda masukan benar & aktif</small>
                                        <div class="invalid-feedback">
                                            Kolom Wajib diisi.
                                        </div>
                                    </div>
                                </div>
                                <div class="form-group row">
                                    <label class="col-sm-4 col-form-label">Nomor HP</label>
                                    <div class="col-sm-8">
                                        <input id="NoHandphone" type="text" name="NoHandphone" class="form-control" placeholder="Ketik Nomor HP..." data-input="wajib" label="No. Handphone" required>
                                        <div class="invalid-feedback">
                                            Kolom Wajib diisi.
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="col-md-4 offset-md-4 mt-2">
                        <hr />
                            <button type="button" id="BtnRegister" class="btn btn-theme btn-sm btn-block" onclick="Register()" data-text="LANJUTKAN" disabled>
                                <i class="fa fa-arrow-alt-circle-right"></i> &nbsp; &nbsp;
                                <span>P</span><span>E</span><span>N</span><span>D</span><span>A</span><span>F</span><span>T</span><span>A</span><span>R</span><span>A</span><span>N</span>
                            </button>
                        </div>
                    </div>


                </form>
            </div>
        </div>
    </section>
</div>
<!--body content end--> 

<div class="modal fade" id="modalSaudaraKandung" tabindex="-1" role="dialog" data-keyboard="false" data-backdrop="static">
    <div class="modal-dialog modal-dialog-centered" role="document">
        <div class="modal-content">
            <div class="modal-body">
                <span id="htmlPertanyaanSK">Apakah Ananda memliki saudara kandung di Sekolah At Taufiq?</span>
                <form id="FormSaudaraKandung" style="display:none;">
                    <input type="hidden" id="IdSiswaSaudara" />
                    <div class="form-group">
                        <label for="exampleFormControlInput1">NIS Saudara</label>
                        <input type="number" class="form-control" name="IdSiswaSaudara" id="NisnSaudara" placeholder="Ketik NIS Saudara...">
                        <small>Pastikan Suadara ananda tidak memiliki tunggakan biaya pendidikan</small>
                    </div>

                    <div class="alert alert-success" id="alertSK" role="alert" style="display:none;">
                        <p class="mb-0">Berhasil ditemukan, data saudara anda.</p>
                        <p class="mb-0">Nama : <span id="resNamaSK"></span></p>
                        <p class="mb-0">Kelas : <span id="resKelasSK"></span></p>
                    </div>
                    <div class="alert alert-danger" id="alertSKGagal" role="alert" style="display:none;">
                        <p class="mb-0">Nisn Tidak ditemukan.</p>
                    </div>
                </form>
            </div>
            <div class="modal-footer">
                <button type="button" onclick="DataSaudaraKandungReset();" class="btn btn-secondary btn-sm">
                     Tidak Memiliki
                </button>
                <button type="button" onclick="DataSaudaraKandung(false);" id="BtnMemilikiSK" class="btn btn-theme btn-sm">
                    <div id="htmlBtnMemilikiSk">Ya, Saya Memiliki</div>
                </button>
            </div>
        </div>
    </div>
</div>

<div class="modal fade" id="modalNikOrtu" tabindex="-1" role="dialog" data-keyboard="false">
    <div class="modal-dialog modal-dialog-centered" role="document">
        <div class="modal-content bg-success">
            <div class="alert alert-success">
                <p class="mb-0"><i class="fa fa-check"></i> &nbsp;<b>Berhasil ditemukan</b></p>
                <p class="mb-0">NIK : <span id="PvNik"></span></p>
                <p class="mb-0">Jenis Kelamin : <span id="PvJK"></span></p>
                <p class="mb-0">Tempat Lahir : <span id="PvTL"></span></p>
                <p class="mb-0">Usia : <span id="PvUsia"></span></p>
                <p class="mb-0">Ulang Tahun : <span id="PvUltah"></span></p>
            </div>
        </div>
    </div>
</div>

<div class="modal fade" id="modalTagihan" tabindex="-1" role="dialog" data-keyboard="false" data-backdrop="static">
    <div class="modal-dialog modal-dialog-centered" role="document">
        <div class="modal-content bg-danger">
            <div class="alert alert-danger">
                <p class="mb-0">
                    Mohon maaf saat ini ananda belum bisa melakukan pendaftaran,  silahkan menghubungi bagian keuangan untuk menyelesaikan administrasi sekolah!
                </p>
                <hr />
                <p class="mb-0">
                    <b><i class="fa fa-user"></i> Admin Keuangan</b> <br />
                    Nomor Whatsapp : <a href="http://wa.me/628119747778" target="_blank">08119747778</a>
                    <br />
                    <b><i class="fa fa-cog"></i>  Jam Kerja</b> <br />
                    Jam kerja Senin-Jumat Pkl 08:00 - 12:00
                </p>
                <p class="mt-4 text-right">
                    <a href="/ppdb" class="btn btn-theme btn-sm">
                        Kembali
                    </a>
                </p>
            </div>
        </div>
    </div>
</div>

<div class="modal fade" id="modalPindahan" tabindex="-1" role="dialog" data-keyboard="false" data-backdrop="static">
    <div class="modal-dialog modal-dialog-centered" role="document">
        <div class="modal-content">
            <div class="modal-body">
                <p>Siswa pindahan yang diterima akan masuk di Tahun Pelajaran 2021/2022</p>
            </div>
            <div class="modal-footer">
                <button type="button" data-dismiss="modal" class="btn btn-secondary btn-sm">
                     Ya, mengerti
                </button>
            </div>
        </div>
    </div>
</div>